Bug 521139 - incorrect config and schema file location
Summary: incorrect config and schema file location
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Directory Server
Classification: Red Hat
Component: Doc-config-command-file-reference
Version: 8.0
Hardware: All
OS: Linux
high
high
Target Milestone: ---
: ---
Assignee: Deon Ballard
QA Contact: Joshua Wulf
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-03 20:19 UTC by Rich Megginson
Modified: 2014-10-19 22:57 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 521140 (view as bug list)
Environment:
Last Closed: 2009-11-09 06:04:02 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Rich Megginson 2009-09-03 20:19:13 UTC
Section 2.1.1  LDIF and Schema Configuration Files is not correct.  It should read something like this:

The Directory Server configuration data is stored in files in LDIF format in the /etc/dirsrv/slapd-instance_name directory (/etc/opt/dirsrv/slapd-instance_name on HP-UX).  Thus, if a server identifier is phonebook, then for a Directory Server on Red Hat Enterprise Linux 5 (32-bit), the configuration LDIF files are all stored under /etc/dirsrv/slapd-phonebook.

This directory also contains other server instance-specific configuration files. 

Schema configuration is also stored in LDIF format, and these files are located in the directory /etc/dirsrv/slapd-instance_name/schema (/etc/opt/dirsrv/slapd-instance_name/schema on HP-UX).

Comment 1 Deon Ballard 2009-09-04 20:56:29 UTC
This intro text is rewritten as done in the description, and the correct file locations are in place. The entity for the directory was wrong in the .ent file, so the schema and configuration directory location is now updated throughout the CLI guide. 

* 8.0 - http://www.redhat.com/docs/manuals/dir-server/cli/8.0/Configuration_Command_File_Reference-Core_Server_Configuration_Reference.html#Configuration_Command_File_Reference-Server_Configuration___Overview-LDIF_Configuration_Files___Location

* 8.1 - http://www.redhat.com/docs/manuals/dir-server/8.1/cli/Configuration_Command_File_Reference-Core_Server_Configuration_Reference.html#Configuration_Command_File_Reference-Server_Configuration___Overview-LDIF_Configuration_Files___Location 

Changing the status to modified.


Note You need to log in before you can comment on or make changes to this bug.